#include<stdio.h>
#include<stdlib.h>
main()
{
	int a1,a2;
	char c1,c2;
	scanf("%c%c",&c1,&c2);
	scanf("%d %d",&a1,&a2);
	int n=a1+a2;
	if(abs(a1-a2)>=2)
	printf("nemoguce");
	else
	{
		char s[n+1];
		if(a1>=a2)
		{
		
		for(int i=0;i<n;i++)
		{
			if(i%2==0)s[i]=c1;
			else s[i]=c2;
			printf("%c",s[i]);
		}
	}
	else {
		for(int i=0;i<n;i++)
		{
			if(i%2==0)s[i]=c2;
			else s[i]=c1;
			printf("%c",s[i]);
		}
		
	}
	
	}
}